import {Component, Prop, Event, EventEmitter, h, Listen} from '@stencil/core';

@Component({
  tag: 'hy-menu-mobile-breadcrumb',
  styleUrl: 'menu-mobile-breadcrumb.scss',
  shadow: false
})
export class MenuMobileBreadcrumb {
  @Event() removeBreadcrumb: EventEmitter;

  @Prop() label: string;
  @Prop() bid: string;
  @Prop() isFirst: boolean = false;

  @Listen('handleClick', {capture: true}) handleClick() {
    this.removeBreadcrumb.emit({bid: this.bid});
  }

  render() {
    return this.isFirst ? (
      <button
        aria-label={`Return to previous level: Home`}
        class={'hy-menu-mobile-breadcrumb'}
        onClick={() => this.handleClick()}
      >
        <hy-icon icon={'hy-icon-caret-left'} size={12} />
        <span class={'hy-menu-mobile-breadcrumb__label is-home'}>
          <hy-icon icon={'hy-icon-home'} size={16} />
          <span class={'hy-menu-mobile-breadcrumb__label__slash'} aria-hidden={'true'}>
            {' '}
            /{' '}
          </span>
        </span>
      </button>
    ) : (
      <button
        aria-label={`Return to previous level: ${this.label}`}
        class={'hy-menu-mobile-breadcrumb'}
        onClick={() => this.handleClick()}
      >
        <hy-icon icon={'hy-icon-caret-left'} size={12} />
        <span class={'hy-menu-mobile-breadcrumb__label'}>
          {this.label}
          <span class={'hy-menu-mobile-breadcrumb__label__slash'} aria-hidden={'true'}>
            {' '}
            /{' '}
          </span>
        </span>
      </button>
    );
  }
}
